> ## Documentation Index
> Fetch the complete documentation index at: https://docs.deepreel.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get audio information

> Get audio, voice and script associated with a generated audio.



## OpenAPI

````yaml get /project/assets/user_audio/{id}/
openapi: 3.0.3
info:
  title: DeepReel API Documentation (latest)
  version: 1.0.0
  description: DeepReel API OpenApi Specification
  x-logo:
    url: /icons/deepreel-logo-main.png
servers: []
security: []
paths:
  /project/assets/user_audio/{id}/:
    get:
      tags:
        - project
      description: Get audio and script associated with a generated audio.
      operationId: Get asset from audio history
      parameters:
        - in: path
          name: id
          schema:
            type: string
            format: uuid
          description: A UUID string identifying this user voice audios.
          required: true
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ApiUserVoiceAudios'
          description: ''
      security:
        - apiKeyAuth: []
components:
  schemas:
    ApiUserVoiceAudios:
      type: object
      description: Allows to specify fields to be included
      properties:
        id:
          type: string
          format: uuid
          description: Unique Identifier of the Audio.
        script_plain_text:
          type: string
          description: Plain text script used to create the video.
        voice_id:
          type: string
          format: uuid
          readOnly: true
          description: Id of the voice used to generate the Audio.
        language_id:
          type: integer
          readOnly: true
          description: Id of the language used to generate the Audio.
        stability:
          type: number
          format: double
          description: Expressiveness of speaking style.
        style_exaggeration:
          type: number
          format: double
          description: Level of exaggeration of the speaking style.
        audio_download_url:
          type: string
          format: uri
      required:
        - audio_download_url
        - id
        - language_id
        - script_plain_text
        - stability
        - style_exaggeration
        - voice_id
  securitySchemes:
    apiKeyAuth:
      type: apiKey
      in: header
      name: X-API-KEY
      description: >-
        Your API key with the prefix: `dr_`. This is required by all endpoints
        to access our API programatically.                             You can
        view your API Key by navigating to the account settings panel (In the
        bottom left corner click on your                             `Account` →
        `profile`)

````